#
# spec file for package xfce4-dev-tools
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xfce4-dev-tools
Version:        4.12.0
Release:        lp150.1.3
Summary:        Xfce Development Tools
License:        GPL-2.0+
Group:          Development/Tools/Other
Url:            http://www.xfce.org/
Source:         http://archive.xfce.org/src/xfce/xfce4-dev-tools/4.12/%{name}-%{version}.tar.bz2
BuildRequires:  pkgconfig(glib-2.0)
Requires:       autoconf
Requires:       automake
Requires:       intltool
Requires:       libtool
Requires:       make
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Xfce development tools are a collection of tools and macros for
Xfce developers and people that want to build unreleased development
versions of Xfce.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog HACKING NEWS README
%{_bindir}/xdt-autogen
%{_bindir}/xdt-commit
%{_bindir}/xdt-csource
%dir %{_datadir}/xfce4
%dir %{_datadir}/xfce4/dev-tools
%dir %{_datadir}/xfce4/dev-tools/m4macros
%{_datadir}/xfce4/dev-tools/m4macros/*.m4

%changelog
* Sat Feb 28 2015 gber@opensuse.org
- update to version 4.12.0
  - bump version
  - require xfce4-panel-4.11 for panel plugins
  - restore AC_REVISION
* Tue Feb 17 2015 gber@opensuse.org
- update to version 4.11.1
  - update list of files to clean with xdt-autogen
  - remove definitions related to the obsolete xfce-mcs-manager
  - remove obsolete check for threaded panels (<= 4.1.90)
  - bump dependencies for xfce4-dev-tools and m4macros
  - fix autotools m4 warning
  - fix out of source building (bxo#10899)
  - display warning if AC_PROG_INTLTOOL is used (bxo#8930)
* Wed Apr 30 2014 gber@opensuse.org
- update to version 4.11.0
  - remove FORTIFY_SOURCE=2
  - some build improvements
  - correctly quote AC_COMPILE_IFELSE macro
  - avoid gnu_printf warnings in debugging in gcc 4.8
* Sun Apr 29 2012 gber@opensuse.org
- update to version 4.10.0
  - bump glib dependency to 2.24
* Sat Apr 14 2012 gber@opensuse.org
- update to version 4.9.2
  - fix license
  - remove the old BM_ macros
  - use ?_VERSION for special versioned binary detection
  - never disable checks
* Sun Apr  8 2012 gber@opensuse.org
- update to version 4.9.1
  - add support for LT_PREREQ
  - remove spec file and rpm build target
  - do not create a gzip tarball
  - never use xdt-autogen in autogen.sh
  - fix FSF address and add missing licenses
  - don't use -g3 for full debugging
  - use pkg-config macro for detection
  - port exo-csource to xdt-csource
* Tue Mar 27 2012 gber@opensuse.org
- added source URL
* Fri Aug  5 2011 coolo@novell.com
- add requires to called tools (hope I catched them all)
* Mon Jan 17 2011 gber@opensuse.org
- update to version 4.8.0
  - check for glibtoolize
* Mon Dec 27 2010 gber@opensuse.org
- corrected group
- improved description
* Wed Dec  1 2010 prusnak@opensuse.org
- cleanup spec file
* Mon Nov  8 2010 prusnak@opensuse.org
- updated to 4.7.3
  * build ChangeLog from GIT
  * add check stage for documentation submodules
  * check for automake 1.11
  * check if $1 is a file before calling cat
* Thu Jul 22 2010 andrea@opensuse.org
- revert back to 4.6.0 for now
- make package noarch
* Wed Nov 11 2009 prusnak@suse.cz
- updated to 4.7.2
  - changes from 4.7.0
  - Do @REVISION@ and @LINGUAS@ substitutions in xdt-autogen instead of
    requiring people to put it in their autogen.sh files.
  - Also support the newer IT_PROG_INTLTOOL macro
  - Added --version and -V options to display the xdt-autogen version
  - Added ability for autogen.sh scripts to set an environment
    variable XDT_AUTOGEN_REQUIRED_VERSION to depend on a particular version
    of xdt-autogen.
  - Add a bunch more compiler warnings for --enable-debug, and a new macro
    XDT_SUPPORTED_FLAGS() that tests whether the compiler supports particular
    option flags.
  - changes from 4.7.1
  - Also support the newer AC_CONFIG_HEADERS macro.
  - Add XDT_FEATURE_VISIBILITY to check for and enable symbol visibility
    support (only useful for building libraries).
  - Add XDT_FEATURE_LINKER_OPTS that checks for and enables useful linker
    optimizations if supported.  This currently only checks for
  - -as-needed and -O1, but more may be added in the future.
  - Beef up XDT_FEATURE_DEBUG:
  * Add new 'minimum' debug level, which is now the default and behaves
    similarly to the old 'no' default.
  * Debug level 'no' disables many glib/gobject-related checks and
    asserts (this is not really recommended).
  * Debug level 'full' disables code optimization.
  * The macro now takes an argument to specify the default debug level.
  - changes from 4.7.2
  - Brown bag: fix typo that breaks XDT_FEATURE_LINKER_OPTS
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 4.6.0 (Xfce 4.6.0 release)
* Mon Dec  3 2007 bwalle@suse.de
- update to 4.4.0.1
  o Updated and new translations.
* Sat Jun 23 2007 bwalle@suse.de
- replaced group 'System/GUI/Other' by 'System/GUI/XFCE'
* Tue May 22 2007 prusnak@suse.cz
- sync with BuildService
* Tue Jan 30 2007 ro@suse.de
- added directory to filelist
* Mon Jan 29 2007 pnemec@suse.cz
- package merged from BuildService into AutoBuild
* Sun Jan 21 2007 bwalle@suse.de
- upgraded to 4.4.0
